Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
run_exec_dup2_fd_pair Struct Reference

## Data Fields
int | oldfd
int | newfd
long | older_index
long | num_newer
int | cloexec

## Detailed Description

Definition at line 3039 of file process.c.

## Field Documentation

## ◆ cloexec

int run_exec_dup2_fd_pair::cloexec

Definition at line 3044 of file process.c.

## ◆ newfd

int run_exec_dup2_fd_pair::newfd

Definition at line 3041 of file process.c.

## ◆ num_newer

long run_exec_dup2_fd_pair::num_newer

Definition at line 3043 of file process.c.

## ◆ older_index

long run_exec_dup2_fd_pair::older_index

Definition at line 3042 of file process.c.

## ◆ oldfd

int run_exec_dup2_fd_pair::oldfd

Definition at line 3040 of file process.c.

The documentation for this struct was generated from the following file:

- process.c